function [p] = eval_norm(x, mu, sd, eps)
[n, d] = size(x);
p = zeros(n, 1);
for i=1:n
    for j=1:d
        p(i) = p(i)-log(sd(j));        
        if sd(j)>eps  
            v = (x(i,j)-mu(j)) / sd(j);
            p(i) = p(i) - 0.5*v*v;
        end
    end
end
